from argparse import ArgumentParser
from kamikaze.mysqlbackuprotator.backup_rotator import rotate_backups
from kamikaze.mysqlbackuprotator.logger import get_logger
import sys


log = get_logger("hypernode.mysql.backuprotator")


def process_args():
    parser = ArgumentParser(
        description='Remove old database backups for this app at the object store.'
                    'Also purges old binlogs which are no longer needed!'
    )
    parser.parse_args()


def main():
    process_args()
    try:
        rotate_backups()
    except StandardError:
        log.exception('An error occurred during database backup rotation')
        sys.exit(1)


if __name__ == '__main__':
    main()
